<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - report.info - QtCore/qcoreapplication.h</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">QtCore</a> - qcoreapplication.h<span style="font-size: 80%;"> (source / <a href="qcoreapplication.h.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">report.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">1</td>
            <td class="headerCovTableEntryLo">0.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-03-29 02:25:54</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">1</td>
            <td class="headerCovTableEntryLo">0.0 %</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : /****************************************************************************</a>
<a name="2"><span class="lineNum">       2 </span>            : **</a>
<a name="3"><span class="lineNum">       3 </span>            : ** Copyright (C) 2016 The Qt Company Ltd.</a>
<a name="4"><span class="lineNum">       4 </span>            : ** Contact: https://www.qt.io/licensing/</a>
<a name="5"><span class="lineNum">       5 </span>            : **</a>
<a name="6"><span class="lineNum">       6 </span>            : ** This file is part of the QtCore module of the Qt Toolkit.</a>
<a name="7"><span class="lineNum">       7 </span>            : **</a>
<a name="8"><span class="lineNum">       8 </span>            : ** $QT_BEGIN_LICENSE:LGPL$</a>
<a name="9"><span class="lineNum">       9 </span>            : ** Commercial License Usage</a>
<a name="10"><span class="lineNum">      10 </span>            : ** Licensees holding valid commercial Qt licenses may use this file in</a>
<a name="11"><span class="lineNum">      11 </span>            : ** accordance with the commercial license agreement provided with the</a>
<a name="12"><span class="lineNum">      12 </span>            : ** Software or, alternatively, in accordance with the terms contained in</a>
<a name="13"><span class="lineNum">      13 </span>            : ** a written agreement between you and The Qt Company. For licensing terms</a>
<a name="14"><span class="lineNum">      14 </span>            : ** and conditions see https://www.qt.io/terms-conditions. For further</a>
<a name="15"><span class="lineNum">      15 </span>            : ** information use the contact form at https://www.qt.io/contact-us.</a>
<a name="16"><span class="lineNum">      16 </span>            : **</a>
<a name="17"><span class="lineNum">      17 </span>            : ** GNU Lesser General Public License Usage</a>
<a name="18"><span class="lineNum">      18 </span>            : ** Alternatively, this file may be used under the terms of the GNU Lesser</a>
<a name="19"><span class="lineNum">      19 </span>            : ** General Public License version 3 as published by the Free Software</a>
<a name="20"><span class="lineNum">      20 </span>            : ** Foundation and appearing in the file LICENSE.LGPL3 included in the</a>
<a name="21"><span class="lineNum">      21 </span>            : ** packaging of this file. Please review the following information to</a>
<a name="22"><span class="lineNum">      22 </span>            : ** ensure the GNU Lesser General Public License version 3 requirements</a>
<a name="23"><span class="lineNum">      23 </span>            : ** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.</a>
<a name="24"><span class="lineNum">      24 </span>            : **</a>
<a name="25"><span class="lineNum">      25 </span>            : ** GNU General Public License Usage</a>
<a name="26"><span class="lineNum">      26 </span>            : ** Alternatively, this file may be used under the terms of the GNU</a>
<a name="27"><span class="lineNum">      27 </span>            : ** General Public License version 2.0 or (at your option) the GNU General</a>
<a name="28"><span class="lineNum">      28 </span>            : ** Public license version 3 or any later version approved by the KDE Free</a>
<a name="29"><span class="lineNum">      29 </span>            : ** Qt Foundation. The licenses are as published by the Free Software</a>
<a name="30"><span class="lineNum">      30 </span>            : ** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3</a>
<a name="31"><span class="lineNum">      31 </span>            : ** included in the packaging of this file. Please review the following</a>
<a name="32"><span class="lineNum">      32 </span>            : ** information to ensure the GNU General Public License requirements will</a>
<a name="33"><span class="lineNum">      33 </span>            : ** be met: https://www.gnu.org/licenses/gpl-2.0.html and</a>
<a name="34"><span class="lineNum">      34 </span>            : ** https://www.gnu.org/licenses/gpl-3.0.html.</a>
<a name="35"><span class="lineNum">      35 </span>            : **</a>
<a name="36"><span class="lineNum">      36 </span>            : ** $QT_END_LICENSE$</a>
<a name="37"><span class="lineNum">      37 </span>            : **</a>
<a name="38"><span class="lineNum">      38 </span>            : ****************************************************************************/</a>
<a name="39"><span class="lineNum">      39 </span>            : </a>
<a name="40"><span class="lineNum">      40 </span>            : #ifndef QCOREAPPLICATION_H</a>
<a name="41"><span class="lineNum">      41 </span>            : #define QCOREAPPLICATION_H</a>
<a name="42"><span class="lineNum">      42 </span>            : </a>
<a name="43"><span class="lineNum">      43 </span>            : #include &lt;QtCore/qglobal.h&gt;</a>
<a name="44"><span class="lineNum">      44 </span>            : #include &lt;QtCore/qstring.h&gt;</a>
<a name="45"><span class="lineNum">      45 </span>            : #ifndef QT_NO_QOBJECT</a>
<a name="46"><span class="lineNum">      46 </span>            : #include &lt;QtCore/qobject.h&gt;</a>
<a name="47"><span class="lineNum">      47 </span>            : #include &lt;QtCore/qcoreevent.h&gt;</a>
<a name="48"><span class="lineNum">      48 </span>            : #include &lt;QtCore/qeventloop.h&gt;</a>
<a name="49"><span class="lineNum">      49 </span>            : #else</a>
<a name="50"><span class="lineNum">      50 </span>            : #include &lt;QtCore/qscopedpointer.h&gt;</a>
<a name="51"><span class="lineNum">      51 </span>            : #endif</a>
<a name="52"><span class="lineNum">      52 </span>            : </a>
<a name="53"><span class="lineNum">      53 </span>            : #ifndef QT_NO_QOBJECT</a>
<a name="54"><span class="lineNum">      54 </span>            : #if defined(Q_OS_WIN) &amp;&amp; !defined(tagMSG)</a>
<a name="55"><span class="lineNum">      55 </span>            : typedef struct tagMSG MSG;</a>
<a name="56"><span class="lineNum">      56 </span>            : #endif</a>
<a name="57"><span class="lineNum">      57 </span>            : #endif</a>
<a name="58"><span class="lineNum">      58 </span>            : </a>
<a name="59"><span class="lineNum">      59 </span>            : QT_BEGIN_NAMESPACE</a>
<a name="60"><span class="lineNum">      60 </span>            : </a>
<a name="61"><span class="lineNum">      61 </span>            : </a>
<a name="62"><span class="lineNum">      62 </span>            : class QCoreApplicationPrivate;</a>
<a name="63"><span class="lineNum">      63 </span>            : class QTextCodec;</a>
<a name="64"><span class="lineNum">      64 </span>            : class QTranslator;</a>
<a name="65"><span class="lineNum">      65 </span>            : class QPostEventList;</a>
<a name="66"><span class="lineNum">      66 </span>            : class QStringList;</a>
<a name="67"><span class="lineNum">      67 </span>            : class QAbstractEventDispatcher;</a>
<a name="68"><span class="lineNum">      68 </span>            : class QAbstractNativeEventFilter;</a>
<a name="69"><span class="lineNum">      69 </span>            : </a>
<a name="70"><span class="lineNum">      70 </span>            : #define qApp QCoreApplication::instance()</a>
<a name="71"><span class="lineNum">      71 </span>            : </a>
<a name="72"><span class="lineNum">      72 </span>            : class Q_CORE_EXPORT QCoreApplication</a>
<a name="73"><span class="lineNum">      73 </span>            : #ifndef QT_NO_QOBJECT</a>
<a name="74"><span class="lineNum">      74 </span>            :     : public QObject</a>
<a name="75"><span class="lineNum">      75 </span>            : #endif</a>
<a name="76"><span class="lineNum">      76 </span>            : {</a>
<a name="77"><span class="lineNum">      77 </span>            : #ifndef QT_NO_QOBJECT</a>
<a name="78"><span class="lineNum">      78 </span>            :     Q_OBJECT</a>
<a name="79"><span class="lineNum">      79 </span>            :     Q_PROPERTY(QString applicationName READ applicationName WRITE setApplicationName NOTIFY applicationNameChanged)</a>
<a name="80"><span class="lineNum">      80 </span>            :     Q_PROPERTY(QString applicationVersion READ applicationVersion WRITE setApplicationVersion NOTIFY applicationVersionChanged)</a>
<a name="81"><span class="lineNum">      81 </span>            :     Q_PROPERTY(QString organizationName READ organizationName WRITE setOrganizationName NOTIFY organizationNameChanged)</a>
<a name="82"><span class="lineNum">      82 </span>            :     Q_PROPERTY(QString organizationDomain READ organizationDomain WRITE setOrganizationDomain NOTIFY organizationDomainChanged)</a>
<a name="83"><span class="lineNum">      83 </span>            :     Q_PROPERTY(bool quitLockEnabled READ isQuitLockEnabled WRITE setQuitLockEnabled)</a>
<a name="84"><span class="lineNum">      84 </span>            : #endif</a>
<a name="85"><span class="lineNum">      85 </span>            : </a>
<a name="86"><span class="lineNum">      86 </span>            :     Q_DECLARE_PRIVATE(QCoreApplication)</a>
<a name="87"><span class="lineNum">      87 </span>            : public:</a>
<a name="88"><span class="lineNum">      88 </span>            :     enum { ApplicationFlags = QT_VERSION</a>
<a name="89"><span class="lineNum">      89 </span>            :     };</a>
<a name="90"><span class="lineNum">      90 </span>            : </a>
<a name="91"><span class="lineNum">      91 </span>            :     QCoreApplication(int &amp;argc, char **argv</a>
<a name="92"><span class="lineNum">      92 </span>            : #ifndef Q_QDOC</a>
<a name="93"><span class="lineNum">      93 </span>            :                      , int = ApplicationFlags</a>
<a name="94"><span class="lineNum">      94 </span>            : #endif</a>
<a name="95"><span class="lineNum">      95 </span>            :             );</a>
<a name="96"><span class="lineNum">      96 </span>            : </a>
<a name="97"><span class="lineNum">      97 </span>            :     ~QCoreApplication();</a>
<a name="98"><span class="lineNum">      98 </span>            : </a>
<a name="99"><span class="lineNum">      99 </span>            :     static QStringList arguments();</a>
<a name="100"><span class="lineNum">     100 </span>            : </a>
<a name="101"><span class="lineNum">     101 </span>            :     static void setAttribute(Qt::ApplicationAttribute attribute, bool on = true);</a>
<a name="102"><span class="lineNum">     102 </span>            :     static bool testAttribute(Qt::ApplicationAttribute attribute);</a>
<a name="103"><span class="lineNum">     103 </span>            : </a>
<a name="104"><span class="lineNum">     104 </span>            :     static void setOrganizationDomain(const QString &amp;orgDomain);</a>
<a name="105"><span class="lineNum">     105 </span>            :     static QString organizationDomain();</a>
<a name="106"><span class="lineNum">     106 </span>            :     static void setOrganizationName(const QString &amp;orgName);</a>
<a name="107"><span class="lineNum">     107 </span>            :     static QString organizationName();</a>
<a name="108"><span class="lineNum">     108 </span>            :     static void setApplicationName(const QString &amp;application);</a>
<a name="109"><span class="lineNum">     109 </span>            :     static QString applicationName();</a>
<a name="110"><span class="lineNum">     110 </span>            :     static void setApplicationVersion(const QString &amp;version);</a>
<a name="111"><span class="lineNum">     111 </span>            :     static QString applicationVersion();</a>
<a name="112"><span class="lineNum">     112 </span>            : </a>
<a name="113"><span class="lineNum">     113 </span>            :     static void setSetuidAllowed(bool allow);</a>
<a name="114"><span class="lineNum">     114 </span>            :     static bool isSetuidAllowed();</a>
<a name="115"><span class="lineNum">     115 </span>            : </a>
<a name="116"><span class="lineNum">     116 </span><span class="lineNoCov">          0 :     static QCoreApplication *instance() { return self; }</span></a>
<a name="117"><span class="lineNum">     117 </span>            : </a>
<a name="118"><span class="lineNum">     118 </span>            : #ifndef QT_NO_QOBJECT</a>
<a name="119"><span class="lineNum">     119 </span>            :     static int exec();</a>
<a name="120"><span class="lineNum">     120 </span>            :     static void processEvents(QEventLoop::ProcessEventsFlags flags = QEventLoop::AllEvents);</a>
<a name="121"><span class="lineNum">     121 </span>            :     static void processEvents(QEventLoop::ProcessEventsFlags flags, int maxtime);</a>
<a name="122"><span class="lineNum">     122 </span>            :     static void exit(int retcode=0);</a>
<a name="123"><span class="lineNum">     123 </span>            : </a>
<a name="124"><span class="lineNum">     124 </span>            :     static bool sendEvent(QObject *receiver, QEvent *event);</a>
<a name="125"><span class="lineNum">     125 </span>            :     static void postEvent(QObject *receiver, QEvent *event, int priority = Qt::NormalEventPriority);</a>
<a name="126"><span class="lineNum">     126 </span>            :     static void sendPostedEvents(QObject *receiver = nullptr, int event_type = 0);</a>
<a name="127"><span class="lineNum">     127 </span>            :     static void removePostedEvents(QObject *receiver, int eventType = 0);</a>
<a name="128"><span class="lineNum">     128 </span>            : #if QT_DEPRECATED_SINCE(5, 3)</a>
<a name="129"><span class="lineNum">     129 </span>            :     QT_DEPRECATED static bool hasPendingEvents();</a>
<a name="130"><span class="lineNum">     130 </span>            : #endif</a>
<a name="131"><span class="lineNum">     131 </span>            :     static QAbstractEventDispatcher *eventDispatcher();</a>
<a name="132"><span class="lineNum">     132 </span>            :     static void setEventDispatcher(QAbstractEventDispatcher *eventDispatcher);</a>
<a name="133"><span class="lineNum">     133 </span>            : </a>
<a name="134"><span class="lineNum">     134 </span>            :     virtual bool notify(QObject *, QEvent *);</a>
<a name="135"><span class="lineNum">     135 </span>            : </a>
<a name="136"><span class="lineNum">     136 </span>            :     static bool startingUp();</a>
<a name="137"><span class="lineNum">     137 </span>            :     static bool closingDown();</a>
<a name="138"><span class="lineNum">     138 </span>            : #endif</a>
<a name="139"><span class="lineNum">     139 </span>            : </a>
<a name="140"><span class="lineNum">     140 </span>            :     static QString applicationDirPath();</a>
<a name="141"><span class="lineNum">     141 </span>            :     static QString applicationFilePath();</a>
<a name="142"><span class="lineNum">     142 </span>            :     static qint64 applicationPid() Q_DECL_CONST_FUNCTION;</a>
<a name="143"><span class="lineNum">     143 </span>            : </a>
<a name="144"><span class="lineNum">     144 </span>            : #if QT_CONFIG(library)</a>
<a name="145"><span class="lineNum">     145 </span>            :     static void setLibraryPaths(const QStringList &amp;);</a>
<a name="146"><span class="lineNum">     146 </span>            :     static QStringList libraryPaths();</a>
<a name="147"><span class="lineNum">     147 </span>            :     static void addLibraryPath(const QString &amp;);</a>
<a name="148"><span class="lineNum">     148 </span>            :     static void removeLibraryPath(const QString &amp;);</a>
<a name="149"><span class="lineNum">     149 </span>            : #endif // QT_CONFIG(library)</a>
<a name="150"><span class="lineNum">     150 </span>            : </a>
<a name="151"><span class="lineNum">     151 </span>            : #ifndef QT_NO_TRANSLATION</a>
<a name="152"><span class="lineNum">     152 </span>            :     static bool installTranslator(QTranslator * messageFile);</a>
<a name="153"><span class="lineNum">     153 </span>            :     static bool removeTranslator(QTranslator * messageFile);</a>
<a name="154"><span class="lineNum">     154 </span>            : #endif</a>
<a name="155"><span class="lineNum">     155 </span>            : </a>
<a name="156"><span class="lineNum">     156 </span>            :     static QString translate(const char * context,</a>
<a name="157"><span class="lineNum">     157 </span>            :                              const char * key,</a>
<a name="158"><span class="lineNum">     158 </span>            :                              const char * disambiguation = nullptr,</a>
<a name="159"><span class="lineNum">     159 </span>            :                              int n = -1);</a>
<a name="160"><span class="lineNum">     160 </span>            : #if QT_DEPRECATED_SINCE(5, 0)</a>
<a name="161"><span class="lineNum">     161 </span>            :     enum Encoding { UnicodeUTF8, Latin1, DefaultCodec = UnicodeUTF8, CodecForTr = UnicodeUTF8 };</a>
<a name="162"><span class="lineNum">     162 </span>            :     QT_DEPRECATED static inline QString translate(const char * context, const char * key,</a>
<a name="163"><span class="lineNum">     163 </span>            :                              const char * disambiguation, Encoding, int n = -1)</a>
<a name="164"><span class="lineNum">     164 </span>            :         { return translate(context, key, disambiguation, n); }</a>
<a name="165"><span class="lineNum">     165 </span>            : #endif</a>
<a name="166"><span class="lineNum">     166 </span>            : </a>
<a name="167"><span class="lineNum">     167 </span>            : #ifndef QT_NO_QOBJECT</a>
<a name="168"><span class="lineNum">     168 </span>            : #  if QT_DEPRECATED_SINCE(5, 9)</a>
<a name="169"><span class="lineNum">     169 </span>            :     QT_DEPRECATED static void flush();</a>
<a name="170"><span class="lineNum">     170 </span>            : #  endif</a>
<a name="171"><span class="lineNum">     171 </span>            : </a>
<a name="172"><span class="lineNum">     172 </span>            :     void installNativeEventFilter(QAbstractNativeEventFilter *filterObj);</a>
<a name="173"><span class="lineNum">     173 </span>            :     void removeNativeEventFilter(QAbstractNativeEventFilter *filterObj);</a>
<a name="174"><span class="lineNum">     174 </span>            : </a>
<a name="175"><span class="lineNum">     175 </span>            :     static bool isQuitLockEnabled();</a>
<a name="176"><span class="lineNum">     176 </span>            :     static void setQuitLockEnabled(bool enabled);</a>
<a name="177"><span class="lineNum">     177 </span>            : </a>
<a name="178"><span class="lineNum">     178 </span>            : public Q_SLOTS:</a>
<a name="179"><span class="lineNum">     179 </span>            :     static void quit();</a>
<a name="180"><span class="lineNum">     180 </span>            : </a>
<a name="181"><span class="lineNum">     181 </span>            : Q_SIGNALS:</a>
<a name="182"><span class="lineNum">     182 </span>            :     void aboutToQuit(QPrivateSignal);</a>
<a name="183"><span class="lineNum">     183 </span>            : </a>
<a name="184"><span class="lineNum">     184 </span>            :     void organizationNameChanged();</a>
<a name="185"><span class="lineNum">     185 </span>            :     void organizationDomainChanged();</a>
<a name="186"><span class="lineNum">     186 </span>            :     void applicationNameChanged();</a>
<a name="187"><span class="lineNum">     187 </span>            :     void applicationVersionChanged();</a>
<a name="188"><span class="lineNum">     188 </span>            : </a>
<a name="189"><span class="lineNum">     189 </span>            : protected:</a>
<a name="190"><span class="lineNum">     190 </span>            :     bool event(QEvent *) override;</a>
<a name="191"><span class="lineNum">     191 </span>            : </a>
<a name="192"><span class="lineNum">     192 </span>            :     virtual bool compressEvent(QEvent *, QObject *receiver, QPostEventList *);</a>
<a name="193"><span class="lineNum">     193 </span>            : #endif // QT_NO_QOBJECT</a>
<a name="194"><span class="lineNum">     194 </span>            : </a>
<a name="195"><span class="lineNum">     195 </span>            : protected:</a>
<a name="196"><span class="lineNum">     196 </span>            :     QCoreApplication(QCoreApplicationPrivate &amp;p);</a>
<a name="197"><span class="lineNum">     197 </span>            : </a>
<a name="198"><span class="lineNum">     198 </span>            : #ifdef QT_NO_QOBJECT</a>
<a name="199"><span class="lineNum">     199 </span>            :     QScopedPointer&lt;QCoreApplicationPrivate&gt; d_ptr;</a>
<a name="200"><span class="lineNum">     200 </span>            : #endif</a>
<a name="201"><span class="lineNum">     201 </span>            : </a>
<a name="202"><span class="lineNum">     202 </span>            : private:</a>
<a name="203"><span class="lineNum">     203 </span>            : #ifndef QT_NO_QOBJECT</a>
<a name="204"><span class="lineNum">     204 </span>            :     static bool sendSpontaneousEvent(QObject *receiver, QEvent *event);</a>
<a name="205"><span class="lineNum">     205 </span>            : #  if QT_DEPRECATED_SINCE(5,6)</a>
<a name="206"><span class="lineNum">     206 </span>            :     QT_DEPRECATED bool notifyInternal(QObject *receiver, QEvent *event); // ### Qt6 BIC: remove me</a>
<a name="207"><span class="lineNum">     207 </span>            : #  endif</a>
<a name="208"><span class="lineNum">     208 </span>            :     static bool notifyInternal2(QObject *receiver, QEvent *);</a>
<a name="209"><span class="lineNum">     209 </span>            :     static bool forwardEvent(QObject *receiver, QEvent *event, QEvent *originatingEvent = nullptr);</a>
<a name="210"><span class="lineNum">     210 </span>            : #endif</a>
<a name="211"><span class="lineNum">     211 </span>            : #if QT_CONFIG(library)</a>
<a name="212"><span class="lineNum">     212 </span>            :     static QStringList libraryPathsLocked();</a>
<a name="213"><span class="lineNum">     213 </span>            : #endif</a>
<a name="214"><span class="lineNum">     214 </span>            : </a>
<a name="215"><span class="lineNum">     215 </span>            :     static QCoreApplication *self;</a>
<a name="216"><span class="lineNum">     216 </span>            : </a>
<a name="217"><span class="lineNum">     217 </span>            :     Q_DISABLE_COPY(QCoreApplication)</a>
<a name="218"><span class="lineNum">     218 </span>            : </a>
<a name="219"><span class="lineNum">     219 </span>            :     friend class QApplication;</a>
<a name="220"><span class="lineNum">     220 </span>            :     friend class QApplicationPrivate;</a>
<a name="221"><span class="lineNum">     221 </span>            :     friend class QGuiApplication;</a>
<a name="222"><span class="lineNum">     222 </span>            :     friend class QGuiApplicationPrivate;</a>
<a name="223"><span class="lineNum">     223 </span>            :     friend class QWidget;</a>
<a name="224"><span class="lineNum">     224 </span>            :     friend class QWidgetWindow;</a>
<a name="225"><span class="lineNum">     225 </span>            :     friend class QWidgetPrivate;</a>
<a name="226"><span class="lineNum">     226 </span>            : #ifndef QT_NO_QOBJECT</a>
<a name="227"><span class="lineNum">     227 </span>            :     friend class QEventDispatcherUNIXPrivate;</a>
<a name="228"><span class="lineNum">     228 </span>            :     friend class QCocoaEventDispatcherPrivate;</a>
<a name="229"><span class="lineNum">     229 </span>            :     friend bool qt_sendSpontaneousEvent(QObject*, QEvent*);</a>
<a name="230"><span class="lineNum">     230 </span>            : #endif</a>
<a name="231"><span class="lineNum">     231 </span>            :     friend Q_CORE_EXPORT QString qAppName();</a>
<a name="232"><span class="lineNum">     232 </span>            :     friend class QClassFactory;</a>
<a name="233"><span class="lineNum">     233 </span>            :     friend class QCommandLineParserPrivate;</a>
<a name="234"><span class="lineNum">     234 </span>            : };</a>
<a name="235"><span class="lineNum">     235 </span>            : </a>
<a name="236"><span class="lineNum">     236 </span>            : #ifdef QT_NO_DEPRECATED</a>
<a name="237"><span class="lineNum">     237 </span>            : #  define QT_DECLARE_DEPRECATED_TR_FUNCTIONS(context)</a>
<a name="238"><span class="lineNum">     238 </span>            : #else</a>
<a name="239"><span class="lineNum">     239 </span>            : #  define QT_DECLARE_DEPRECATED_TR_FUNCTIONS(context) \</a>
<a name="240"><span class="lineNum">     240 </span>            :     QT_DEPRECATED static inline QString trUtf8(const char *sourceText, const char *disambiguation = nullptr, int n = -1) \</a>
<a name="241"><span class="lineNum">     241 </span>            :         { return QCoreApplication::translate(#context, sourceText, disambiguation, n); }</a>
<a name="242"><span class="lineNum">     242 </span>            : #endif</a>
<a name="243"><span class="lineNum">     243 </span>            : </a>
<a name="244"><span class="lineNum">     244 </span>            : #define Q_DECLARE_TR_FUNCTIONS(context) \</a>
<a name="245"><span class="lineNum">     245 </span>            : public: \</a>
<a name="246"><span class="lineNum">     246 </span>            :     static inline QString tr(const char *sourceText, const char *disambiguation = nullptr, int n = -1) \</a>
<a name="247"><span class="lineNum">     247 </span>            :         { return QCoreApplication::translate(#context, sourceText, disambiguation, n); } \</a>
<a name="248"><span class="lineNum">     248 </span>            :     QT_DECLARE_DEPRECATED_TR_FUNCTIONS(context) \</a>
<a name="249"><span class="lineNum">     249 </span>            : private:</a>
<a name="250"><span class="lineNum">     250 </span>            : </a>
<a name="251"><span class="lineNum">     251 </span>            : typedef void (*QtStartUpFunction)();</a>
<a name="252"><span class="lineNum">     252 </span>            : typedef void (*QtCleanUpFunction)();</a>
<a name="253"><span class="lineNum">     253 </span>            : </a>
<a name="254"><span class="lineNum">     254 </span>            : Q_CORE_EXPORT void qAddPreRoutine(QtStartUpFunction);</a>
<a name="255"><span class="lineNum">     255 </span>            : Q_CORE_EXPORT void qAddPostRoutine(QtCleanUpFunction);</a>
<a name="256"><span class="lineNum">     256 </span>            : Q_CORE_EXPORT void qRemovePostRoutine(QtCleanUpFunction);</a>
<a name="257"><span class="lineNum">     257 </span>            : Q_CORE_EXPORT QString qAppName();                // get application name</a>
<a name="258"><span class="lineNum">     258 </span>            : </a>
<a name="259"><span class="lineNum">     259 </span>            : #define Q_COREAPP_STARTUP_FUNCTION(AFUNC) \</a>
<a name="260"><span class="lineNum">     260 </span>            :     static void AFUNC ## _ctor_function() {  \</a>
<a name="261"><span class="lineNum">     261 </span>            :         qAddPreRoutine(AFUNC);        \</a>
<a name="262"><span class="lineNum">     262 </span>            :     }                                 \</a>
<a name="263"><span class="lineNum">     263 </span>            :     Q_CONSTRUCTOR_FUNCTION(AFUNC ## _ctor_function)</a>
<a name="264"><span class="lineNum">     264 </span>            : </a>
<a name="265"><span class="lineNum">     265 </span>            : #ifndef QT_NO_QOBJECT</a>
<a name="266"><span class="lineNum">     266 </span>            : #if defined(Q_OS_WIN) &amp;&amp; !defined(QT_NO_DEBUG_STREAM)</a>
<a name="267"><span class="lineNum">     267 </span>            : Q_CORE_EXPORT QString decodeMSG(const MSG &amp;);</a>
<a name="268"><span class="lineNum">     268 </span>            : Q_CORE_EXPORT QDebug operator&lt;&lt;(QDebug, const MSG &amp;);</a>
<a name="269"><span class="lineNum">     269 </span>            : #endif</a>
<a name="270"><span class="lineNum">     270 </span>            : #endif</a>
<a name="271"><span class="lineNum">     271 </span>            : </a>
<a name="272"><span class="lineNum">     272 </span>            : QT_END_NAMESPACE</a>
<a name="273"><span class="lineNum">     273 </span>            : </a>
<a name="274"><span class="lineNum">     274 </span>            : #endif // QCOREAPPLICATION_H</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
